| OGRE 1.11.1 Object-Oriented Graphics Rendering Engine

Public Member Functions | List of all members
Ogre::D3D9StereoDriverAMD Class Reference

Virtual interface of the stereo driver. More...

`#include <OgreD3D9StereoDriverAMD.h>`

Inheritance diagram for Ogre::D3D9StereoDriverAMD:
[legend]

## Public Member Functions
| D3D9StereoDriverAMD ()
virtual | ~D3D9StereoDriverAMD ()
virtual bool | addRenderWindow (D3D9RenderWindow *renderWindow)
virtual bool | isStereoEnabled (const String &renderWindowName)
virtual void | postRenderTargetUpdate (const RenderTargetEvent &evt)
| Called just after a RenderTarget has been rendered to. More...
virtual void | preRenderTargetUpdate (const RenderTargetEvent &evt)
| Called just before a RenderTarget is about to be rendered into. More...
virtual void | preViewportUpdate (const RenderTargetViewportEvent &evt)
| Called just before a Viewport on a RenderTarget is to be updated. More...
virtual bool | removeRenderWindow (const String &renderWindowName)
virtual bool | setDrawBuffer (ColourBufferType colourBuffer)
virtual void | viewportAdded (const RenderTargetViewportEvent &evt)
| Called to notify listener that a Viewport has been added to the target in question. More...
virtual void | viewportRemoved (const RenderTargetViewportEvent &evt)
| Called to notify listener that a Viewport has been removed from the target in question. More...

## Detailed Description

Virtual interface of the stereo driver.

## Constructor & Destructor Documentation

## ◆ D3D9StereoDriverAMD()

Ogre::D3D9StereoDriverAMD::D3D9StereoDriverAMD | ( |  | ) |

## ◆ ~D3D9StereoDriverAMD()

virtual Ogre::D3D9StereoDriverAMD::~D3D9StereoDriverAMD | ( |  | ) |
| virtual

## Member Function Documentation

## ◆ addRenderWindow()

virtual bool Ogre::D3D9StereoDriverAMD::addRenderWindow | ( | D3D9RenderWindow * | renderWindow | ) |
| virtual

Implements Ogre::D3D9StereoDriverImpl.

## ◆ removeRenderWindow()

virtual bool Ogre::D3D9StereoDriverAMD::removeRenderWindow | ( | const String & | renderWindowName | ) |
| virtual

Implements Ogre::D3D9StereoDriverImpl.

## ◆ isStereoEnabled()

virtual bool Ogre::D3D9StereoDriverAMD::isStereoEnabled | ( | const String & | renderWindowName | ) |
| virtual

Implements Ogre::D3D9StereoDriverImpl.

## ◆ setDrawBuffer()

virtual bool Ogre::D3D9StereoDriverAMD::setDrawBuffer | ( | ColourBufferType | colourBuffer | ) |
| virtual

Implements Ogre::D3D9StereoDriverImpl.

## ◆ preRenderTargetUpdate()

virtual void Ogre::RenderTargetListener::preRenderTargetUpdate | ( | const RenderTargetEvent & | evt | ) |
| inline virtual inherited

Called just before a RenderTarget is about to be rendered into.

Remarks
  This event is raised just before any of the viewports on the target are rendered to. You can perform manual rendering operations here if you want, but please note that if the Viewport objects attached to this target are set up to clear the background, you will lose whatever you render. If you want some kind of backdrop in this event you should turn off background clearing off on the viewports, and either clear the viewports yourself in this event handler before doing your rendering or just render over the top if you don't need to.

Reimplemented in Ogre::CompositorChain.

## ◆ postRenderTargetUpdate()

virtual void Ogre::RenderTargetListener::postRenderTargetUpdate | ( | const RenderTargetEvent & | evt | ) |
| inline virtual inherited

Called just after a RenderTarget has been rendered to.

Remarks
  This event is called just after all the viewports attached to the target in question have been rendered to. You can perform your own manual rendering commands in this event handler if you like, these will be composited with the contents of the target already there (depending on the material settings you use etc).

Reimplemented in Ogre::CompositorChain.

## ◆ preViewportUpdate()

virtual void Ogre::RenderTargetListener::preViewportUpdate | ( | const RenderTargetViewportEvent & | evt | ) |
| inline virtual inherited

Called just before a Viewport on a RenderTarget is to be updated.

Remarks
  This method is called before each viewport on the RenderTarget is rendered to. You can use this to perform per-viewport settings changes, such as showing / hiding particular overlays.

Reimplemented in Ogre::CompositorChain.

## ◆ viewportAdded()

virtual void Ogre::RenderTargetListener::viewportAdded | ( | const RenderTargetViewportEvent & | evt | ) |
| inline virtual inherited

Called to notify listener that a Viewport has been added to the target in question.

## ◆ viewportRemoved()

virtual void Ogre::RenderTargetListener::viewportRemoved | ( | const RenderTargetViewportEvent & | evt | ) |
| inline virtual inherited

Called to notify listener that a Viewport has been removed from the target in question.

The documentation for this class was generated from the following file:

- OgreD3D9StereoDriverAMD.h